=== win32/utils/Makefile ===
#
# Makefile
#
#
# Zde neni nic konfigurovatelneho.
# Veskere konfigurovatelne zalezitosti se nachazeji v Makefile.cfg.
#

include ../Makefile.cfg
include ../Makefile.common

CFLAGS = $(COMMON_CFLAGS) -I../
LDFLAGS = $(COMMON_LDFLAGS)

all: makepack bmp2img

clean:
	rm -f core *.o makepack bmp2img

makepack.o: makepack.c ../pack.h
	$(CC) $(CFLAGS) -c makepack.c

makepack: makepack.o
	$(LD) $(LDFLAGS) -o makepack makepack.o $(ZLIB_LDFLAGS)

bmp2img.o: bmp2img.c
	$(CC) $(CFLAGS) -c bmp2img.c

bmp2img: bmp2img.o
	$(LD) $(LDFLAGS) -o bmp2img bmp2img.o
