## fred 0.9.1-2

=== debian/changelog ===
fred (0.9.1-2) unstable; urgency=low

  * Fixed build dependencies.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 30 Dec 2008 14:30:02 +0100

fred (0.9.1-1) unstable; urgency=low

  * Modified for N810.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 19 Feb 2008 22:31:26 +0100

fred (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Jiri Benc <jbenc@upir.cz>  Tue,  26 Jun 2007 21:20:00 +0200
