=== debian/control ===
Source: fred
Section: user/games
Priority: optional
Maintainer: Jiri Benc <jbenc@upir.cz>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev (>= 1.1.3), libsdl1.2-dev (>= 1.1.7), libosso-dev
Standards-Version: 3.6.1

Package: fred
Architecture: any
Depends: ${shlibs:Depends}, maemo-select-menu-location
Description: Logical arcade game - don't get blocked by Baggers
 Logical arcade game for one or two players. Navigate Fred through the level
 and don't get blocked by Baggers or boulders. In English and Czech
 language.
 .
 (Levels for two players are hardly playable without a sliding keyboard.)
