## fred oss-0.4.0

=== requirements.txt ===
# CLI Tools
fire==0.7.1
# Databricks Runtime: 16.4 LTS (Python 3.12.3)
