## fred oss-0.20.0

=== requirements.txt ===
# CLI Tools
fire==0.7.1
# Minimal requirements
psutil==7.0.0
# Fred Worker/Runner Infra
redis==6.4.0
fastapi==0.116.2
uvicorn[standard]==0.35.0
# Databricks Runtime: 16.4 LTS (Python 3.12.3)
