## fred oss-0.56.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,12 @@
 psutil==7.0.0
 # Fred Worker/Runner Infra
 redis==6.4.0
+requests==2.32.5
 fastapi==0.116.2
 uvicorn[standard]==0.35.0
+# Services
+minio==7.2.18
+# Fred Utils
+pillow==11.3.0
+torch==2.8.0
 # Databricks Runtime: 16.4 LTS (Python 3.12.3)
